@charset "UTF-8";

//----------------------------------------------
.title-bordered-orange {
  padding-bottom: 3px;
  margin-top: 35px;
  margin-bottom: 15px;
  font-weight: bold;
  border-bottom: 3px solid #ff4500;

  @media (min-width: $screen-sm-min) {
    font-size: 28px;
  }

  @media (max-width: $screen-xs-max) {
    font-size: 21px;
  }
}

//----------------------------------------------
//.title-bg-asymmetry {
//  padding-top: 40px;
//  padding-bottom: 34px;
//  text-align: center;
//
//  &.paint-strong-green {
//    background: url("../img/common/bg-title.png") no-repeat 50% 0;
//  }
//}

//----------------------------------------------
.title-border-bottom-switch-orange {
  position: relative;
  padding-bottom: 3px;
  font-weight: bold;
  border-bottom: 3px solid #ccc;

  @media (max-width: $screen-xs-max) {
    font-size: 21px;
  }

  &:after {
    position: absolute;
    bottom: -3px;
    display: block;
    width: 10%;
    overflow: hidden;
    line-height: 0;
    border-bottom: 3px solid #ff4500;
    content: ".";
  }
}

//----------------------------------------------
.title-border-left-orange {
  position: relative;
  padding: 4px 15px;
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;

  @media (max-width: $screen-xs-max) {
    font-size: 21px;
  }

  &:after {
    position: absolute;
    top: 5px;
    bottom: 5px;
    left: 0;
    display: block;
    width: 6px;
    margin-top: auto;
    margin-bottom: auto;
    background-color: #ff4500;
    content: "";
  }
}

//----------------------------------------------
.title-bg-blue-and-red {
  padding: 10px;
  background: linear-gradient(0deg, #b1b1ff 0%, #b1b1ff 50%, #ff9d9d 50%, #ff9d9d 100%);
}

//----------------------------------------------
.title-ribbon-bottom-blue {
  position: relative;
  display: inline-block;
  min-width: 220px;
  padding-top: 20px;
  padding-bottom: 30px;
  font-size: 16px;
  color: #fff;
  text-align: center;
  background-color: #0068b7;

  @media (max-width: $screen-xxs-max) {
    min-width: 130px;
    margin-bottom: 0;
  }

  &:before,
  &:after {
    position: absolute;
    bottom: 0;
    display: block;
    width: 0;
    height: 0;
    border-style: solid;
    content: "";
  }

  &:before {
    left: 0;
    border-color: transparent transparent transparent #fff;
    border-width: 23px 0 0 110px;
  }

  &:after {
    right: 0;
    border-color: transparent transparent #fff;
    border-width: 0 0 23px 110px;
  }
}

//----------------------------------------------
.title-ribbon-both-shadow {
  position: relative;
  display: inline-block;
  padding: 20px;
  font-size: 16px;
  background-color: #ccc;

  &:before,
  &:after {
    position: absolute;
    top: 0;
    display: block;
    width: 10px;
    height: 0;
    content: "";
  }

  &:before {
    left: -10px;
    border-bottom: 10px solid #000;
    border-left: 10px solid transparent;
  }

  &:after {
    right: -10px;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #000;
  }
}

//----------------------------------------------
.title-dark-blue {
  position: relative;
  font-size: 36px;
  line-height: 1.9;
  text-align: center;
  font-weight: bold;
  color: #2f4c71;

  @media (max-width: $screen-xs-max) {
    font-size: 28px;
  }

  small {
    display: block;
    font-size: 18px;
    font-weight: bold;
    color: #13bd7b;

    @media (max-width: $screen-xs-max) {
      font-size: 16px;
    }
  }

  &:after {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 5px);
    width: 33px;
    border-top: 3px solid #13bd7b;
    content: "";
  }
}

//----------------------------------------------
.title-white {
  @extend .title-dark-blue;

  padding-bottom: 3px;
  margin-bottom: 88px;
  color: #fff;

  @media (max-width: $screen-xs-max) {
    padding-bottom: 2px;
    margin-bottom: 50px;
  }

  small {
    color: #fff;
  }

  &:after {
    border-top: 3px solid #fff;
  }
}
